library IEEE;
use IEEE.STD_LOGIC_1164.all;
use IEEE.MATH_REAL.all;
use IEEE.NUMERIC_STD.all;


entity Example_IP_with_pcie4_interface is
	port (
    pcie4_512_rc_cfg_mgmt_addr : OUT STD_LOGIC_VECTOR(9 DOWNTO 0);
    pcie4_512_rc_cfg_mgmt_function_number : OUT STD_LOGIC_VECTOR(7 DOWNTO 0);
    pcie4_512_rc_cfg_mgmt_write : OUT STD_LOGIC;
    pcie4_512_rc_cfg_mgmt_write_data : OUT STD_LOGIC_VECTOR(31 DOWNTO 0);
    pcie4_512_rc_cfg_mgmt_byte_enable : OUT STD_LOGIC_VECTOR(3 DOWNTO 0);
    pcie4_512_rc_cfg_mgmt_read : OUT STD_LOGIC;
    pcie4_512_rc_cfg_mgmt_read_data : IN STD_LOGIC_VECTOR(31 DOWNTO 0);
    pcie4_512_rc_cfg_mgmt_read_write_done : IN STD_LOGIC;
    pcie4_512_rc_cfg_mgmt_debug_access : OUT STD_LOGIC;
	
    pcie4_512_rc_cfg_pm_aspm_l1_entry_reject : OUT STD_LOGIC;
    pcie4_512_rc_cfg_pm_aspm_tx_l0s_entry_disable : OUT STD_LOGIC
	);
end Example_IP_with_pcie4_interface;

--###################################################################################
-- ARCHITECTURE SPECIFICATION
--###################################################################################
architecture Behavioral of Example_IP_with_pcie4_interface is
--------------------------------------------------------------------------------
-- Components Declaration
--------------------------------------------------------------------------------

--------------------------------------------------------------------------------
-- Types Declaration
--------------------------------------------------------------------------------

--------------------------------------------------------------------------------
-- Constants Declaration
--------------------------------------------------------------------------------

--------------------------------------------------------------------------------
-- Signals Declaration
--------------------------------------------------------------------------------

--------------------------------------------------------------------------------
-- Attributes Declaration
--------------------------------------------------------------------------------


--###################################################################################
-- BEGIN
--###################################################################################
begin
--------------------------------------------------------------------------------
-- Components Instantiation
--------------------------------------------------------------------------------

--------------------------------------------------------------------------------
-- Processes
--------------------------------------------------------------------------------

--------------------------------------------------------------------------------
-- Internal connections
--------------------------------------------------------------------------------

--------------------------------------------------------------------------------
-- Connect the entity
--------------------------------------------------------------------------------
	pcie4_512_rc_cfg_mgmt_addr <= (others => '0');
	pcie4_512_rc_cfg_mgmt_function_number <= (others => '0');
	pcie4_512_rc_cfg_mgmt_write <= '0';
	pcie4_512_rc_cfg_mgmt_write_data <= (others => '0');
	pcie4_512_rc_cfg_mgmt_byte_enable <= (others => '0');
	pcie4_512_rc_cfg_mgmt_read <= '0';
	pcie4_512_rc_cfg_mgmt_debug_access <= '0';
	
	pcie4_512_rc_cfg_pm_aspm_l1_entry_reject <= '0';
	pcie4_512_rc_cfg_pm_aspm_tx_l0s_entry_disable <= '0';

--###################################################################################
-- END
--###################################################################################
end Behavioral;
